> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Board Sprints

> List all sprints for a board, optionally filtered by status and/or spec.



## OpenAPI

````yaml /openapi.json get /api/v1/boards/{board_id}/sprints
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/boards/{board_id}/sprints:
    get:
      tags:
        - sprints
      summary: List Board Sprints
      description: List all sprints for a board, optionally filtered by status and/or spec.
      operationId: list_board_sprints_api_v1_boards__board_id__sprints_get
      parameters:
        - in: path
          name: board_id
          required: true
          schema:
            title: Board Id
            type: string
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - in: query
          name: spec_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Spec Id
        - in: query
          name: include_archived
          required: false
          schema:
            default: false
            title: Include Archived
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SprintSummary'
                title: >-
                  Response List Board Sprints Api V1 Boards  Board Id  Sprints
                  Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    SprintSummary:
      description: Schema for sprint summary (used in lists and spec responses).
      properties:
        archived:
          default: false
          title: Archived
          type: boolean
        board_id:
          title: Board Id
          type: string
        business_rule_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Business Rule Ids
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          title: Created By
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        end_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: End Date
        expected_outcome:
          anyOf:
            - type: string
            - type: 'null'
          title: Expected Outcome
        id:
          title: Id
          type: string
        labels:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Labels
        objective:
          anyOf:
            - type: string
            - type: 'null'
          title: Objective
        spec_id:
          title: Spec Id
          type: string
        spec_version:
          title: Spec Version
          type: integer
        start_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Start Date
        status:
          $ref: '#/components/schemas/SprintStatus'
        test_scenario_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Test Scenario Ids
        title:
          title: Title
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        version:
          title: Version
          type: integer
      required:
        - id
        - spec_id
        - board_id
        - title
        - status
        - spec_version
        - version
        - created_by
        - created_at
        - updated_at
      title: SprintSummary
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SprintStatus:
      description: Sprint lifecycle status.
      enum:
        - draft
        - active
        - review
        - closed
        - cancelled
      title: SprintStatus
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````